MONGOC_GRIDFS_REMOVE_BY_FILENAME(3)

NAME
mongoc_gridfs_remove_by_filename - mongoc_gridfs_remove_by_filename()

SYNOPSIS

bool
mongoc_gridfs_remove_by_filename (mongoc_gridfs_t *gridfs,
                                  const char *filename,
                                  bson_error_t *error);

PARAMETERS

•   gridfs: A mongoc_gridfs_t.

•   filename: A UTF-8 encoded string containing the filename.

•   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

Removes all files matching filename and their data chunks from the MongoDB server.

RETURNS

Returns true if successful, including when no files match. Returns false and sets error if there are invalid arguments or a server or network error.

ERRORS

Errors are propagated via the error parameter.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc